﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// La plantilla de elemento Página en blanco está documentada en https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0xc0a

namespace Proyecto32
{
    /// 

    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// 

    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            mediaElement1.Source = new Uri(this.BaseUri, "Assets/video1.mp4");
            boton2.IsEnabled = false;

        }

        private void boton1_Click(object sender, RoutedEventArgs e)
        {
            mediaElement1.Play();
            boton1.IsEnabled = false;
            boton2.IsEnabled = true;
        }

        private void boton2_Click(object sender, RoutedEventArgs e)
        {
            if (boton2.Content.ToString() == "Pausar")
            {
                mediaElement1.Pause();
                boton2.Content = "Continuar";
            }
            else
            {
                mediaElement1.Play();
                boton2.Content = "Pausar";
            }
        }

        private void mediaElement1_MediaEnded(object sender, RoutedEventArgs e)
        {
            boton1.IsEnabled = true;
            boton2.IsEnabled = false;
        }
    }
}